
set MARVELL_88e1111_PHYID0        0x0141

set MARVELL_CONTROL_REG           0
set MARVELL_CONTROL_LOOPBACK      [expr 1 << 14]
set MARVELL_CONTROL_AUTONEG       [expr 1 << 12]
set MARVELL_CONTROL_SPD_SEL_LSB   [expr 1 << 13]
set MARVELL_CONTROL_SPD_SEL_MSB   [expr 1 <<  6]
set MARVELL_CONTROL_SPD_SEL_RSVD  3
set MARVELL_CONTROL_SPD_SEL_1000  2
set MARVELL_CONTROL_SPD_SEL_100   1
set MARVELL_CONTROL_SPD_SEL_10    0
set MARVELL_CONTROL_DUPLEX        [expr 1 <<  8]

set MARVELL_STATUS_REG           1
set MARVELL_STATUS_LINK          [expr 1 <<  2]

set MARVELL_PHY_ID0_REG	         2
set MARVELL_PHY_ID1_REG	         3

set MARVELL_AUTONEG_ADV_REG      4
set MARVELL_AUTONEG_ADV_NPG      [expr 1 << 15]
set MARVELL_AUTONEG_ADV_PAUSE    [expr 1 << 10]
set MARVELL_AUTONEG_ADV_100TX_FD [expr 1 <<  8]
set MARVELL_AUTONEG_ADV_100TX_HD [expr 1 <<  7]
set MARVELL_AUTONEG_ADV_10TX_FD  [expr 1 <<  6]
set MARVELL_AUTONEG_ADV_10TX_HD  [expr 1 <<  5]

set MARVELL_PARTNER_ABILITY_REG  5

set MARVELL_AUTONEG_EXPAN_REG    6
set MARVELL_AUTONEG_EXPAN_LP_NP_ABLE      [expr 1 << 3]
set MARVELL_AUTONEG_EXPAN_LP_AUTONEG_ABLE [expr 1 << 0]

set MARVELL_NEXTPAGE_TRAN_REG    7
set MARVELL_LINKPARTNER_NEXTPAGE_REG    8

set MARVELL_1000BT_CONTROL_REG          9
set MARVELL_1000BT_CONTROL_ADV_1000BT_FD  [expr 1 << 9]
set MARVELL_1000BT_CONTROL_ADV_1000BT_HD  [expr 1 << 8]

set MARVELL_1000BT_STATUS_REG           10
set MARVELL_1000BT_STATUS_LR_OK            [expr 1 << 13]
set MARVELL_1000BT_STATUS_RR_OK            [expr 1 << 12]
set MARVELL_1000BT_STATUS_LP_1000BT_FD_CAP [expr 1 << 11]
set MARVELL_1000BT_STATUS_LP_1000BT_HD_CAP [expr 1 << 10]

set MARVELL_EXTENDED_STATUS_REG         15

set MARVELL_PHY_SPECIFIC_CONTROL_REG    16
set MARVELL_PHY_SPECIFIC_CONTROL_MDI_MASK  0x00000060
set MARVELL_PHY_SPECIFIC_CONTROL_MDI_SHIFT 5
set MARVELL_PHY_SPECIFIC_CONTROL_MDI_FORCE 0
set MARVELL_PHY_SPECIFIC_CONTROL_MDI_MDIX  1
set MARVELL_PHY_SPECIFIC_CONTROL_MDI_AUTO  3

set MARVELL_PHY_SPECIFIC_STATUS_REG     17
set MARVELL_PHY_SPCFC_STAT_SPD_SHIFT    14
set MARVELL_PHY_SPCFC_STAT_SPD_RESVD     3 
set MARVELL_PHY_SPCFC_STAT_SPD_1000      2 
set MARVELL_PHY_SPCFC_STAT_SPD_100       1 
set MARVELL_PHY_SPCFC_STAT_SPD_10        0 
set MARVELL_PHY_SPCFC_STAT_DUPLEX        [expr 1 << 13]
set MARVELL_PHY_SPCFC_STAT_SPD_DUP_RSLVD [expr 1 << 11]
set MARVELL_PHY_SPCFC_STAT_LINK_RT       [expr 1 << 10]
set MARVELL_PHY_SPCFC_STAT_MDIX          [expr 1 <<  6]

set MARVELL_INT_ENABLE_REG              18
set MARVELL_INT_STATUS_REG              19
set MARVELL_EXTENDED_PHY_SPECIFIC_CONTROL_REG   20
set MARVELL_RECEIVE_ERROR_CNTR_REG              21
set MARVELL_LED_CONTROL_REG                     24
set MARVELL_LED_MANUAL_OVERRIDE_REG             25
set MARVELL_EXTENDED_PHY_SPECIFIC_CONTROL2_REG  26
set MARVELL_EXTENDED_PHY_SPECIFIC_STATUS_REG    27
set MARVELL_CABLE_DIAGNOSTIC_REG                28

