
set NATIONAL_DP83865_PHYID1        0x2000
set NATIONAL_DP83865_PHYID2        0x5C7A

set NATIONAL_CONTROL_REG           0
set NATIONAL_CONTROL_LOOPBACK      [expr 1 << 14]
set NATIONAL_CONTROL_AUTONEG       [expr 1 << 12]
set NATIONAL_CONTROL_SPD_SEL_LSB   [expr 1 << 13]
set NATIONAL_CONTROL_SPD_SEL_MSB   [expr 1 <<  6]
set NATIONAL_CONTROL_SPD_SEL_RSVD  3
set NATIONAL_CONTROL_SPD_SEL_1000  2
set NATIONAL_CONTROL_SPD_SEL_100   1
set NATIONAL_CONTROL_SPD_SEL_10    0
set NATIONAL_CONTROL_DUPLEX        [expr 1 <<  8]

set NATIONAL_STATUS_REG           1
set NATIONAL_STATUS_LINK          [expr 1 <<  2]

set NATIONAL_PHY_ID0_REG	         2
set NATIONAL_PHY_ID1_REG	         3

set NATIONAL_AUTONEG_ADV_REG      4
set NATIONAL_AUTONEG_ADV_NPG      [expr 1 << 15]
set NATIONAL_AUTONEG_ADV_PAUSE    [expr 1 << 10]
set NATIONAL_AUTONEG_ADV_100TX_FD [expr 1 <<  8]
set NATIONAL_AUTONEG_ADV_100TX_HD [expr 1 <<  7]
set NATIONAL_AUTONEG_ADV_10TX_FD  [expr 1 <<  6]
set NATIONAL_AUTONEG_ADV_10TX_HD  [expr 1 <<  5]

set NATIONAL_PARTNER_ABILITY_REG  5

set NATIONAL_AUTONEG_EXPAN_REG    6
set NATIONAL_AUTONEG_EXPAN_LP_NP_ABLE      [expr 1 << 3]
set NATIONAL_AUTONEG_EXPAN_LP_AUTONEG_ABLE [expr 1 << 0]

set NATIONAL_NEXTPAGE_TRAN_REG    7
set NATIONAL_LINKPARTNER_NEXTPAGE_REG    8

set NATIONAL_1000BT_CONTROL_REG          9
set NATIONAL_1000BT_CONTROL_ADV_1000BT_FD  [expr 1 << 9]
set NATIONAL_1000BT_CONTROL_ADV_1000BT_HD  [expr 1 << 8]

set NATIONAL_1000BT_STATUS_REG           10
set NATIONAL_1000BT_STATUS_LR_OK            [expr 1 << 13]
set NATIONAL_1000BT_STATUS_RR_OK            [expr 1 << 12]
set NATIONAL_1000BT_STATUS_LP_1000BT_FD_CAP [expr 1 << 11]
set NATIONAL_1000BT_STATUS_LP_1000BT_HD_CAP [expr 1 << 10]

set NATIONAL_EXTENDED_STATUS_REG         15

set NATIONAL_LINK_AN_REG                 17
set NATIONAL_LINK_AN_FIFO_ERR            [expr 1 << 9]
set NATIONAL_LINK_AN_SHLW_LOOP           [expr 1 << 7]
set NATIONAL_LINK_AN_DEEP_LOOP           [expr 1 << 6]
set NATIONAL_LINK_AN_SPEED_STS_SHIFT     3
set NATIONAL_CONTROL_SPD_SEL_RSVD  3
set NATIONAL_CONTROL_SPD_SEL_1000  2
set NATIONAL_CONTROL_SPD_SEL_100   1
set NATIONAL_CONTROL_SPD_SEL_10    0
set NATIONAL_LINK_AN_LINK_STS            [expr 1 << 2]
set NATIONAL_LINK_AN_DUPLEX_STS          [expr 1 << 1]


