
set XIIC_READ_OPERATION   1
set XIIC_WRITE_OPERATION  0
set XIIC_MASTER_ROLE      1
set XIIC_SLAVE_ROLE       0
set XIIC_STOP             0
set XIIC_REPEATED_START   1

#set XIIC_MSB_OFFSET [expr                 3 ]
set XIIC_MSB_OFFSET [expr                 0 ]
set XIIC_REG_OFFSET [expr  0x100 + $XIIC_MSB_OFFSET ]
set XIIC_CR_REG_OFFSET [expr    0x00+$XIIC_REG_OFFSET	]
set XIIC_SR_REG_OFFSET [expr    0x04+$XIIC_REG_OFFSET	]
set XIIC_DTR_REG_OFFSET [expr   0x08+$XIIC_REG_OFFSET	]
set XIIC_DRR_REG_OFFSET [expr   0x0C+$XIIC_REG_OFFSET	]
set XIIC_ADR_REG_OFFSET [expr   0x10+$XIIC_REG_OFFSET	]
set XIIC_TFO_REG_OFFSET [expr   0x14+$XIIC_REG_OFFSET	]
set XIIC_RFO_REG_OFFSET [expr   0x18+$XIIC_REG_OFFSET	]
set XIIC_TBA_REG_OFFSET [expr   0x1C+$XIIC_REG_OFFSET	]
set XIIC_RFD_REG_OFFSET [expr   0x20+$XIIC_REG_OFFSET	]
set XIIC_GPO_REG_OFFSET [expr   0x24+$XIIC_REG_OFFSET	]
set XIIC_CR_ENABLE_DEVICE_MASK [expr         0x01	]
set XIIC_CR_TX_FIFO_RESET_MASK [expr         0x02	]
set XIIC_CR_MSMS_MASK [expr                  0x04	]
set XIIC_CR_DIR_IS_TX_MASK [expr             0x08	]
set XIIC_CR_NO_ACK_MASK [expr                0x10	]
set XIIC_CR_REPEATED_START_MASK [expr        0x20	]
set XIIC_CR_GENERAL_CALL_MASK [expr          0x40	]
set XIIC_SR_GEN_CALL_MASK [expr              0x01	]
set XIIC_SR_ADDR_AS_SLAVE_MASK [expr         0x02	]
set XIIC_SR_BUS_BUSY_MASK [expr              0x04	]
set XIIC_SR_MSTR_RDING_SLAVE_MASK [expr      0x08	]
set XIIC_SR_TX_FIFO_FULL_MASK [expr          0x10	]
set XIIC_SR_RX_FIFO_FULL_MASK [expr          0x20	]
set XIIC_SR_RX_FIFO_EMPTY_MASK [expr         0x40	]
set XIIC_SR_TX_FIFO_EMPTY_MASK [expr         0x80	]
set XIIC_INTR_ARB_LOST_MASK [expr            0x01	]
set XIIC_INTR_TX_ERROR_MASK [expr            0x02	]
set XIIC_INTR_TX_EMPTY_MASK [expr            0x04	]
set XIIC_INTR_RX_FULL_MASK [expr             0x08	]
set XIIC_INTR_BNB_MASK [expr                 0x10	]
set XIIC_INTR_AAS_MASK [expr                 0x20	]
set XIIC_INTR_NAAS_MASK [expr                0x40	]
set XIIC_INTR_TX_HALF_MASK [expr             0x80	]
set XIIC_IPIF_IIC_MASK [expr           0x00000004  	]
set XIIC_IPIF_ERROR_MASK [expr         0x00000001  	]
set XIIC_TX_ADDR_MSTR_RECV_MASK [expr    0x02 ]
set XIIC_TX_DYN_START_MASK [expr             0x0100	]
set XIIC_TX_DYN_STOP_MASK [expr              0x0200	]
set XIIC_DISR_OFFSET [expr      0    ]
set XIIC_DIPR_OFFSET [expr      4    ]
set XIIC_DIER_OFFSET [expr      8    ]
set XIIC_DIIR_OFFSET [expr      24   ]
set XIIC_DGIER_OFFSET [expr     28   ]
set XIIC_IISR_OFFSET [expr      32   ]
set XIIC_IIER_OFFSET [expr      40   ]
set XIIC_RESETR_OFFSET [expr    64   ]
set XIIC_RESET_MASK [expr              0xA ]
set XIIC_GINTR_ENABLE_MASK [expr       0x80000000  ]
set XIIC_ERROR_MASK [expr              1       ]
