set XLLDMA_TX_OFFSET  0x0
set XLLDMA_RX_OFFSET  0x20
set XLLDMA_DMACR_OFFSET  0x40
set XLLDMA_NDESC_OFFSET  0x0
set XLLDMA_BUFA_OFFSET  0x4
set XLLDMA_BUFL_OFFSET  0x8
set XLLDMA_CDESC_OFFSET  0xc
set XLLDMA_TDESC_OFFSET  0x10
set XLLDMA_CR_OFFSET  0x14
set XLLDMA_IRQ_OFFSET  0x18
set XLLDMA_SR_OFFSET  0x1c
set XLLDMA_BD_NDESC_OFFSET  0x0
set XLLDMA_BD_BUFA_OFFSET  0x4
set XLLDMA_BD_BUFL_OFFSET  0x8
set XLLDMA_BD_STSCTRL_USR0_OFFSET  0xc
set XLLDMA_BD_USR1_OFFSET  0x10
set XLLDMA_BD_USR2_OFFSET  0x14
set XLLDMA_BD_USR3_OFFSET  0x18
set XLLDMA_BD_USR4_OFFSET  0x1c
set XLLDMA_BD_ID_OFFSET  0x20
set XLLDMA_CR_IRQ_TIMEOUT_MASK  0xff000000
set XLLDMA_CR_IRQ_COUNT_MASK  0xff0000
set XLLDMA_CR_MSB_ADDR_MASK  0xf000
set XLLDMA_CR_APP_EN_MASK  0x800
set XLLDMA_CR_USE_1_BIT_CNT_MASK  0x400
set XLLDMA_CR_USE_INT_ON_END_MASK  0x200
set XLLDMA_CR_LD_IRQ_CNT_MASK  0x100
set XLLDMA_CR_IRQ_EN_MASK  0x80
set XLLDMA_CR_IRQ_ERROR_EN_MASK  0x4
set XLLDMA_CR_IRQ_DELAY_EN_MASK  0x2
set XLLDMA_CR_IRQ_COALESCE_EN_MASK  0x1
set XLLDMA_CR_IRQ_ALL_EN_MASK  0x87

set XLLDMA_IRQ_DELAY_COUNTER_VAL_MASK  0xFF000000
set XLLDMA_IRQ_DELAY_COUNTER_VAL_SHIFT 24

set XLLDMA_IRQ_COALESCE_COUNTER_VAL_MASK  0x00FF0000
set XLLDMA_IRQ_COALESCE_COUNTER_VAL_SHIFT 16

set XLLDMA_IRQ_WRQ_EMPTY_MASK  0x4000

set XLLDMA_IRQ_COALESCE_COUNTER_MASK   0x3c00
set XLLDMA_IRQ_COALESCE_COUNTER_SHIFT  10

set XLLDMA_IRQ_DELAY_COUNTER_MASK  0x300
set XLLDMA_IRQ_DELAY_COUNTER_SHIFT 8

set XLLDMA_IRQ_PLB_RD_ERROR_MASK  0x10
set XLLDMA_IRQ_PLB_WR_ERROR_MASK  0x8
set XLLDMA_IRQ_ERROR_MASK  0x4
set XLLDMA_IRQ_DELAY_MASK  0x2
set XLLDMA_IRQ_COALESCE_MASK  0x1
set XLLDMA_IRQ_ALL_ERR_MASK  0x1c
set XLLDMA_IRQ_ALL_MASK  0x1f

set XLLDMA_SR_IRQ_ON_END_MASK  0x40
set XLLDMA_SR_STOP_ON_END_MASK  0x20
set XLLDMA_SR_COMPLETED_MASK  0x10
set XLLDMA_SR_SOP_MASK  0x8
set XLLDMA_SR_EOP_MASK  0x4
set XLLDMA_SR_ENGINE_BUSY_MASK  0x2
set XLLDMA_DMACR_TX_PAUSE_MASK  0x20000000
set XLLDMA_DMACR_RX_PAUSE_MASK  0x10000000
set XLLDMA_DMACR_PLB_ERR_DIS_MASK  0x20
set XLLDMA_DMACR_RX_OVERFLOW_ERR_DIS_MASK  0x10
set XLLDMA_DMACR_TX_OVERFLOW_ERR_DIS_MASK  0x8
set XLLDMA_DMACR_TAIL_PTR_EN_MASK  0x4
set XLLDMA_DMACR_EN_ARB_HOLD_MASK  0x2
set XLLDMA_DMACR_SW_RESET_MASK  0x1
set XLLDMA_BD_STSCTRL_ERROR_MASK  0x80000000
set XLLDMA_BD_STSCTRL_IOE_MASK  0x40000000
set XLLDMA_BD_STSCTRL_SOE_MASK  0x20000000
set XLLDMA_BD_STSCTRL_COMPLETED_MASK  0x10000000
set XLLDMA_BD_STSCTRL_SOP_MASK  0x8000000
set XLLDMA_BD_STSCTRL_EOP_MASK  0x4000000
set XLLDMA_BD_STSCTRL_BUSY_MASK  0x2000000
set XLLDMA_BD_STSCTRL_MASK  0xff000000
set XLLDMA_BD_STSCTRL_USR0_MASK  0xffffff
